#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  libsecret-0.21.6

- Next

  totem-pl-parser-3.26.6

- Up
- Home

# rest-0.9.1

## Introduction to rest

The rest package contains a library that was designed to make it easier to access web services that claim to be "RESTful". It includes convenience wrappers for libsoup and libxml to make remote usage of the RESTful API easier.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/rest/0.9/rest-0.9.1.tar.xz

- Download MD5 sum: b997b83232be3814a1b78530c5700df9

- Download size: 72 KB

- Estimated disk space required: 3.2 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### rest Dependencies

#### Required

JSON-GLib-1.10.6, libsoup-3.6.4, and make-ca-1.15

#### Recommended

GLib-2.82.5 (with GObject Introspection)

#### Optional

Gi-DocGen-2025.3, libadwaita-1.6.4 and gtksourceview5-5.14.2 (to build the demo), and Vala-0.56.17

### Note

An Internet connection is needed for some tests of this package. The system certificate store may need to be set up with make-ca-1.15 before testing this package.

## Installation of rest

Install rest by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D examples=false   \
                -D gtk_doc=false    \
                ..                  &&
    ninja

If you have Gi-DocGen-2025.3 installed and wish to build the API documentation for this package, issue:

    sed "/output/s/librest-1.0/rest-0.9.1/" -i ../docs/meson.build &&
    meson configure -D gtk_doc=true                                &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=false`: Allow building this package without Gi-DocGen-2025.3 installed. If you have Gi-DocGen-2025.3 installed and you wish to rebuild and install the API documentation, a meson configure command will reset this option.

`-D examples=false`: Remove this option if libadwaita-1.6.4 and gtksourceview5-5.14.2 are installed and you wish to build the demonstration application provided by this package.

`-D vapi=true`: Use this switch if Vala-0.56.17 is installed and you wish to build the Vala bindings provided by this package.

## Contents

Installed Programs: librest-demo (optional)
Installed Libraries: librest-1.0.so and librest-extras-1.0.so
Installed Directories: /usr/include/rest-1.0 and /usr/share/gtk-doc/html/rest-1.0

### Short Descriptions

librest-demo | provides an example of how to use the RESTful Web API Query functions
`librest-1.0.so` | contains the RESTful Web API Query functions
`librest-extras-1.0.so` | contains extra RESTful Web API Query functions

- Prev

  libsecret-0.21.6

- Next

  totem-pl-parser-3.26.6

- Up
- Home